check [Solved] 3.6.01 To 3.7.01 Error on migration

10 months 1 week ago - 10 months 6 days ago #4989 by toggs
Hello community!

I uninstalled 3.6.01, installed 3.7.01. Got a prompt that says "The 'My project' comes from Modeilo 3.6.01. Some works models may need to be migrated to Modelio 3.7.01. If you continue the project will be migrated and wont be readable by Modeilo 3.6.01 anymore. Do you want to continue?" I click OK button, and get the error:

java.lang.IllegalArgumentException: Unsupported type: class org.modelio.metamodel.uml.behavior.commonBehaviors.EventType

I'm trying to add logs via the code tag, and it gives me an error: "You have too many links in your message, please decrease them!" That does not make any sense... So here is a pastebin link: pastebin.com/mxCACfgm (Will expire in 1 month)

Please Log in or Create an account to join the conversation.

10 months 1 week ago #4990 by toggs
-Updated .Net, Rebooted, Updated Java to current (v8 Update 161 - build 1.8.0_161-b12).
-Running Modelio as admin.....
-No change, same error.

Any suggestions? Thanks!

Please Log in or Create an account to join the conversation.

10 months 1 week ago #4992 by cde
Hi Toggs,

Could you share your 3.6.1 project with us ?

Best regards,
cde.

Please Log in or Create an account to join the conversation.

10 months 1 week ago #4993 by toggs
Hello cde,

I'd rather not share it publicly due to the nature of it and how "rough" it is in its current state. Could I provide you some details offline, or thru private means? Thanks!

Please Log in or Create an account to join the conversation.

10 months 1 week ago #4994 by cde
Hello Toggs,

I've been able to reproduce your problem, we'll fix it as soon as we can and keep you informed.

Best regards,
cde.

Please Log in or Create an account to join the conversation.

10 months 1 week ago #4995 by toggs
Fantastic cde! Thank you!

Please Log in or Create an account to join the conversation.

Moderators: tmaaabcdeebr
Time to create page: 0.046 seconds
^ Back to Top